Package htsjdk.tribble.readers

# Interface LineReader

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Implementing Classes:
  `AsciiLineReader`, `SynchronousLineReader`, `TabixIteratorLineReader`

public interface LineReader extends Closeable
Interface for line-oriented readers.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`String`
`readLine()`

## Method Details

### readLine

String readLine() throws IOException

Returns:
  The next "line" from the source. Typically a line is a set of characters terminated by '\n', '\r', or '\r\n'. The line-terminator is not included
Throws:
  `IOException`

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`